# PDF Insights API

The PDF Insights API supports three products. Which product you have a license for determines how much of this API is accessible to you.
<ul> <li> <b>PDF Insights w/Thumbprint</b> - The full API is available. <li> <b>PDF Insights</b> - All endpoints are available but Thumbprint scores will not return. <li> <b>Thumbprint</b> - Only <a href=https://docs.moneythumb.com/api/pdf-insights/api-reference/other/authenticate>/authenticate</a> and <a href=https://docs.moneythumb.com/api/pdf-insights/api-reference/other/uploadpdfs>/uploadpdfs</a> endpoints are available. </ul>
<p>If this is your first time, we strongly encourage you to start with one of our Quickstarts.</p>
<p>For details on our Privacy Policy, go <a href=https://www.moneythumb.com/privacy-policy/> here</a>.</p>


Version: 1.5

## Servers

Live Testing
```
https://insights.moneythumb.com/api/v1.0
```

## Download OpenAPI description

[PDF Insights API](https://docs.moneythumb.com/_bundle/API/PDF%20Insights/@1.5/API%20Reference/index.yaml)

## Other

### Authenticate

 - [GET /authenticate](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/authenticate.md): Authenticates with username/password and receive a session token for use on other API calls.  Requires Authorization and MT-Product headers.   See Authentication page for further details.

### List applications

 - [GET /getapps](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/getapps.md): Retrieves a list of all the applications available to the credentials submitted.

### Create application

 - [POST /new](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/new.md): Creates a new application or retrieves an existing one. 

Note: If you're using appnumber field in /uploadpdfs or /makecsv, you don't need to use this endpoint.

### Get scorecard

 - [POST /scorecard](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/scorecard.md): Retrieve an application's scorecard.

### Get scorecard (Excel)

 - [POST /makexls](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/makexls.md): Retrieve an application's scorecard.

### Retrieve signed scorecard URL

 - [POST /scorecard/signedUrl](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/signedurl.md): Returns a signed URL that can be used in the browser to open the scorecard page without signing in. 

⚠️ Warning: In order to use this URL in an iframe, your domain will need to be whitelisted. Please contact support@moneythumb.com for assistance.

### Convert a document

 - [POST /makecsv](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/makecsv.md): Convert one document and receive its results.

### Convert multiple documents

 - [POST /uploadpdfs](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/uploadpdfs.md): Converts multiple documents, creating an application if one doesn't already exist. Results can be received in multiple ways:

Callback (preferred): If a URL is specified in the webhook parameter, the following will occur:
 1. This call will return a 202 ACCEPTED.
 2. Once conversion is complete, Insights will call the provided webhook URL with the results.

Sychronous (deprecated): If the webhook parameter is not provided, one of the following will happen:
 * If the file is text-based, the results will be returned in the response. 
 * If the file requires OCR, 202 ACCEPTED will be returned and you will need to use other endpoints to retrieve the results.

While not required, we recommend including the following parameters:
 * accounttype - Specifies the type of document. You can also use autodetectto automatically pick up different types of documents.
 * includescorecard - (true/false) Includes the full underwriting scorecard in the results.
 * includetransactions - (true/false) Includes the full transaction list in the results.
 * format - Changes the structure of the JSON for the scorecard (if included).  jsonobject is recommended.

### Update summary

 - [POST /updatesummary](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/updatesummary.md): Updates the summary data of a statement.

### Update Google Sheets

 - [POST /googlesheets](https://docs.moneythumb.com/api/pdf-insights/api-reference/paths/~1googlesheets/post.md): Updates scorecard information on an existing Google sheet.

⚠️ Warning: Contact support@moneythumb.com for assistance to configure Google Sheets for your account.

### Get transactions

 - [POST /transactions](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/transactions.md): Retrieve the transactions, either as JSON (structured=true) or CSV (structured=false).

### Delete statement

 - [POST /deletestmt](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/deletestmt.md): Deletes a statement.

### Delete statement by ID

 - [POST /deletestatement](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/deletestatement.md): Deletes a statement by its statement ID.

### Get results

 - [POST /getresults](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/getresults.md): Returns the original results of the document conversion for a specified application. Any changes made to the data won't be reflected in the results data.

### Check progress

 - [POST /checkprogress](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/checkprogress.md): Checks the progress of a conversion. 

💡 Tip: If you don't have a webhook, we recommend using /makecsv.

### Get remaining

 - [GET /remaining](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/remaining.md): Retrieve the number of remaining conversions on your account.

### Prequalify

 - [POST /prequalify](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/prequalify.md): Runs a prequalification check on an application. 

⚠️ Warning: Please contact MoneyThumb Support to enable this feature for your account.

### Zip Archive

 - [POST /ziparchive](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/ziparchive.md): Retrieves all PDFs in a zip archive file. Optionally, you can watermark these retrieved PDFs.

### Briefcase Connections

 - [GET /briefcase/connections](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/connections.md): Retrieves the information about a Briefcase connection.

### Briefcase Share

 - [POST /briefcase/share](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/share.md): Shares documents in an application with the receiving party. When you share, this sends the webhook to the receiver party.

### Briefcase Respond

 - [POST /briefcase/respond](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/respond.md): The receiving party's response to the sender. When you respond, it sends the webhook to the sender party.


⚠️ Warning: To retrieve the key needed to accept or reject, enable your webhook.

### Briefcase Update

 - [POST /briefcase/update](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/update.md): Notifies the receiving party about the files in an application. Use this whenever you add or replace documents in an application. When you update, it sends the webhook to the receiving party. Once the receiving party gets the update, they must use /respond. If you're the sender, you get a confirmation the update was accepted.

### Briefcase History

 - [GET /briefcase/history](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/history.md): Returns an array of all applications that were offered or received within the last 30 days.

